package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.GwQosModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 共享带宽配置接口
 *
 * @author wangyu
 * @version 1.0
 * @since 2019年5月15日
 */
public interface GwQosProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(GwQosModel qosModel);

    BocloudResult modify(GwQosModel qosModel);

    BocloudResult remove(String gwQosId);

    BocloudResult detail(String gwQosId);

    BocloudResult qosRulesList(GwQosModel qosModel);

    BocloudResult qosRulesCreate(GwQosModel qosModel);

    BocloudResult qosRulesDetail(GwQosModel qosModel);

    BocloudResult qosRulesModify(GwQosModel qosModel);

    BocloudResult qosRulesRemove(GwQosModel qosModel);

    BocloudResult qosPoliciesList(GwQosModel qosModel);

    BocloudResult qosPolicyCreate(GwQosModel qosModel);

    BocloudResult qosPolicyDetail(GwQosModel qosModel);

    BocloudResult qosPolicyModify(GwQosModel qosModel);

    BocloudResult qosPolicyRemove(GwQosModel qosModel);
}
